GetDomain - Amazon Connect Health

GetDomain

Retrieves information about a Domain.

Request Syntax

GET /domain/domainId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainId

The id of the Domain to get

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "arn": "string", "createdAt": number, "domainId": "string", "encryptionContext": { "encryptionType": "string", "kmsKeyArn": "string" }, "kmsKeyArn": "string", "name": "string", "status": "string", "tags": { "string" : "string" }, "webAppConfiguration": { "ehrRole": "string", "idcApplicationId": "string", "idcRegion": "string" }, "webAppUrl": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

arn

Type: String

Pattern: arn:aws:health-agent:[a-z0-9-]+:[0-9]{12}:domain/(hai-|dom-)[a-z0-9]+

createdAt

Type: Timestamp

domainId

Type: String

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

encryptionContext

Type: EncryptionContext object

kmsKeyArn

Type: String

Pattern: arn:aws:kms:[a-z0-9-]+:[0-9]{12}:key/[a-f0-9-]+

name

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

status

Type: String

Valid Values: ACTIVE | DELETING | DELETED

tags

Tags associated with the Domain

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

webAppConfiguration

Type: WebAppConfiguration object

webAppUrl

Type: String

Errors

For information about the errors that are common to all actions, see Common Errors.

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: